Package jebl.evolution.coalescent

# Interface IntervalList

All Known Implementing Classes:
  `Intervals`

public interface IntervalList
An interface for a set of coalescent intevals.

Version:
  $Id: IntervalList.java 849 2007-12-06 00:10:14Z twobeers $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IntervalList.IntervalType`
`static class`
`IntervalList.Utils`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCoalescentEvents(int i)`
Returns the number coalescent events in an interval
`double`
`getInterval(int i)`
Gets an interval.
`int`
`getIntervalCount()`
get number of intervals
`IntervalList.IntervalType`
`getIntervalType(int i)`
Returns the type of interval observed.
`int`
`getLineageCount(int i)`
Returns the number of uncoalesced lineages within this interval.
`int`
`getSampleCount()`
get the total number of sampling events.
`double`
`getTotalDuration()`
get the total duration of these intervals.
`boolean`
`isBinaryCoalescent()`
Checks whether this set of coalescent intervals is fully resolved (i.e.
`boolean`
`isCoalescentOnly()`
Checks whether this set of coalescent intervals coalescent only (i.e.

## Method Details

### getIntervalCount

int getIntervalCount()
get number of intervals

### getSampleCount

int getSampleCount()
get the total number of sampling events.

### getInterval

double getInterval(int i)
Gets an interval.

### getLineageCount

int getLineageCount(int i)
Returns the number of uncoalesced lineages within this interval. Required for s-coalescents, where new lineages are added as earlier samples are come across.

### getCoalescentEvents

int getCoalescentEvents(int i)
Returns the number coalescent events in an interval

### getIntervalType

IntervalList.IntervalType getIntervalType(int i)
Returns the type of interval observed.

### getTotalDuration

double getTotalDuration()
get the total duration of these intervals.

### isBinaryCoalescent

boolean isBinaryCoalescent()
Checks whether this set of coalescent intervals is fully resolved (i.e. whether is has exactly one coalescent event in each subsequent interval)

### isCoalescentOnly

boolean isCoalescentOnly()
Checks whether this set of coalescent intervals coalescent only (i.e. whether is has exactly one or more coalescent event in each subsequent interval)